[Home]Adding Camview

LinuxCNCKnowledgeBase | RecentChanges | PageIndex | Preferences | LinuxCNC.org

Embed Live Video to a Tab in Axis

NB

Older versions of Axis still require the below addition to ~/.axisrc, but later ones have it built in

To test if you require it, cd to /usr/bin in a terminal

run grep dynamic_child ./axis

If you get an output similar to this

$ grep dynamic_child ./axis
_dynamic_childs = {}
        _dynamic_childs['gladevcp'] = (child, cmd, True)
        _dynamic_childs[str(w)] = (child, cmd, wait)
def kill_dynamic_childs():
    for c,_,w in _dynamic_childs.values():
    for c,cmd,w in _dynamic_childs.values():

You do not require the below .axisrc modification and doing it will cause errors. You still require the .ini file lines however in either case.

Instructions for older versions of Axis

Create a file named .axisrc using you favorite text editor in the same /configs directory as your ini and hal files.

Download this file and place the code from it into .axisrc

upload:axisrc-dynamic-tabs

Instructions applicable to all versions

Install mplayer using the package manager.

mplayer supports v4l/v4l2 cameras and may be embedded into Axis.

Add a tab name/command into your .ini file.

Example config for mplayer:

 [DISPLAY]
 EMBED_TAB_NAME = MPlayer
 EMBED_TAB_COMMAND = mplayer -wid {XID} tv://0

Adding camview-emc to Linuxcnc

camview-emc is modified version of camview. If you already have camview installed from the Google sources it will conflict with the installation of camview-emc.

If you are using Linuxcnc packages for Ubuntu (10.04 or 8.04) just add the proper camview repository sources to your sources.list file.

Add the repository

If you are using Linuxcnc packages for Ubuntu (10.04 or 8.04) just add the proper camview repository sources to your sources.list file.

Use a text editor to modify the text in your /etc/apt/sources.list file.

For example open a terminal, then:

$ gedit /etc/apt/sources.list

Add the following line to /etc/apt/sources.list :

deb http://psha.org.ru/debian/ NAME-OF-YOUR-DISTRIBUTION contrib

Replace NAME-OF-YOUR-DISTRIBUTION with one of supported distributions. Currently they are:

    testing (squeeze)
    precise (ubuntu12.04), currently only camunits packages,
    lucid (ubuntu10.04)
    hardy (ubuntu8.04), only small subset of packages 

Mind the gap after "/" and before "NAME-OF-YOUR-DISTRIBUTION". For exaple: deb http://psha.org.ru/debian/ lucid contrib

And save the modified file.

Load the repository key

$ wget -O- http://psha.org.ru/debian/pubkey.gpg | sudo apt-key add -

Note

Fingerprint: 511F B52F 0C2A F4D8 2C09 C782 AA4F 0D0A 0AC6 427D

Update

Run apt-get update

Embed live video tab into axis

Add following lines to INI file:

 EMBED_TAB_NAME = Camera
 EMBED_TAB_COMMAND = camview-emc  -w {XID}

If you want extra functionality like DRO install camunits-plugins-emc. Itís not available for Ubuntu 8.04 though.

You may also grab the sources and build them yourself. But thatís not recommended since there are lot of dependencies and possible issues with plugin locations.

Warning

	Not all features from these packages are included into upstream source. Donít grab sources from camunits website and just expect them to work.

LinuxCNCKnowledgeBase | RecentChanges | PageIndex | Preferences | LinuxCNC.org
This page is read-only. Follow the BasicSteps to edit pages. | View other revisions
Last edited February 7, 2015 3:35 am by C45 (diff)
Search:
Published under a Creative Commons License